//////////////////////////////
// name.c
// written by Michael Gibson
// released under the GPl
// copyright 2003-2007
//////////////////////////////

#include <stdio.h>
#include <string.h>

#ifdef WIN32
  #include "GDXlib.h"
#endif

#ifndef WIN32
  #include "GDXlib.h"
#endif

int text_01;
char fullname[60];

/////////////////////////////////////////////////////
///// new file 
/////////////////////////////////////////////////////
static void newfile(void)
{

  FILE *fp7;

  char systemstring[90];

  strcpy(fullname,gdx_textentry_obj.string[text_01]);

  fp7=fopen("GEDCOM_Tools.dat","w");

  fprintf(fp7,"AA02007\n");
  fprintf(fp7,"%s\n",fullname);

  fclose(fp7);


  #ifdef WIN32
    sprintf(systemstring,".\\gedfirstdata '%s'&",fullname);
  #endif
  #ifndef WIN32
    sprintf(systemstring,"./gedfirstdata '%s'&",fullname);
  #endif


  system(systemstring);

  gdx_closewindow();
}




/////////////////////////////////////////////////////
///// quit app
/////////////////////////////////////////////////////
static void destroy(void)
{
    gdx_closewindow();
}



//////////////////////////////////////////////////
// main
/////////////////////////////////////////////////
int main(int argc, char **argv){

  int button_01, button_02, button_03;
  int label1,label2,label3,label4;

 // printf("Starting GUI.\n");

  x_open();

  /* create a new window */
  gdx_window("Name Wizard",540,275);
  gdx_setwindowbg("bg.xpm",1);

  gdx_image(5,5,"wizard2.xpm");

  label1=gdx_label("I see that you have not told me your name yet.",225,25,0);
  gdx_setlabelbg("bg.xpm",1,label1);

  label2=gdx_label("Please enter your full name:",225,50,0);
  gdx_setlabelbg("bg.xpm",1,label2);  

  text_01 = gdx_textentry(225,100,300,0);
  button_01 = gdx_button(225,150,"Add name",newfile);
  button_03 = gdx_button(225,250,"Exit please", destroy);

  gdx_main();
  x_close();

  return(0);
}

