//////////////////////////////
// start.c
// written by Michael Gibson
// released under the GPl
//////////////////////////////

#include <stdio.h>
#include <string.h>
#include "GDXlib.h"

/////////////////////////////////////////////////////
///// new file 
/////////////////////////////////////////////////////
static void newfile(void)
{

   FILE *fp7;
   char dummy[3],trash[9],fullname[60];
   char systemstring[128];

   fp7=fopen("GEDCOM_Tools.dat","r");

   fgets(dummy,3,fp7);

   if(dummy[0] == 'N' && dummy[1] == 'N'){
     #ifdef WIN32
       system(".\\gedname&");
     #endif 
     #ifndef WIN32
       system("./gedname&");
     #endif
   }
   else{
     fgets(trash,8,fp7);
     fgets(fullname,60,fp7);
     #ifdef WIN32
       sprintf(systemstring,".\\gedfirstdata '%s'&",fullname);
     #endif
     #ifndef WIN32
       sprintf(systemstring,"./gedfirstdata '%s'&",fullname);
     #endif
  }

  fclose(fp7);

  system(systemstring);

  gdx_closewindow();
}


/////////////////////////////////////////////////////
///// quit app
/////////////////////////////////////////////////////
void destroy(void)
{
    gdx_closewindow();
}


/////////////////////////////////////////////////////
///// load_file 
/////////////////////////////////////////////////////
void loadfile(void)
{
    #ifndef WIN32
    system("./gedfilelist&");
    #endif
    gdx_closewindow();
}


//////////////////////////////////////////////////
// main
/////////////////////////////////////////////////
int main(void){

  int button_01, button_02, button_03;
  int label1,label2;

  printf("Starting GUI...\n");

  x_open();

  /* create a new window */
  gdx_window("Start Wizard",500,300);
  gdx_setwindowbg("bg.xpm",1);
  gdx_image(5,5,"wizard.xpm");


  button_01 = gdx_button(225,60,"Create a new GEDCOM",newfile);
  button_02 = gdx_button(225,85,"Open an existing GEDCOM",loadfile);
  button_03 = gdx_button(225,250,"Exit please",destroy);



  label1 = gdx_label("What do you wish to do?",223,25,0);
  gdx_setlabelbg("bg.xpm",0,label1);

  gdx_main();
  x_close();

  return(0);
}

